Subject: Re: bug#46159: 28.0.50; lexical-let does not work with returned closures on nativecomp
From: Andrea Corallo <[email-masked]>
To: "Mark A. Hershberger" <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Jan 2021 21:24:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

"Mark A. Hershberger" <[email-masked]> writes:

> Thank you for asking the dumb question.

:)

> I thought it was there because I got warnings about cl being deprecated, but when I put (require 'cl) just before this function, suddenly it worked.
>
> Strange that it breaks on the native-comp branch but not on master.

Byte compilation worked by chance because while compiling cl-lib was
already loaded for some reason.

Great closing.

  Andrea